Jira fails to start, different database version

Hey all,

I downloaded the jira SDK and I'm trying to develop a plugin for Jira 4.0.1

But when I want to start Jira using the following command: atlas-run --version 4.0.1 I get the following error:

Failed to start JIRA due to a build number inconsistency.

The data present in your database is newer than the version of JIRA you are trying to startup.

Database version is: 646

JIRA app version is: 471

Please use the correct version of JIRA. You are running: 4.0.1#471

I tried the following things:

- Did a cleanup using atlas-clean

- Used the command atlas-mvn eclipse:eclipse

But the problem remains. How do I start Jira version 4.0.1 ? I need this version !

1 answer

1 accepted

0 votes
Accepted answer

I managed to get it working. I had a mistake in my pom, the data version needs to be 4.0:

<properties>
<jira.version>4.0.1</jira.version>
<jira.data.version>4.0</jira.data.version>
<amps.version>3.11</amps.version>
</properties>

then running atlas-clean and atlas-run --version 4.0.1 solved it

Suggest an answer

Log in or Sign up to answer
Community showcase
Published Nov 29, 2018 in Jira

How to set up an incident workflow from the VP of Engineering at Sentry

Hey Atlassian community, I help lead engineering at Sentry, an open-source error-tracking and monitoring tool that integrates with Jira. We started using Jira Software Cloud internally last year, a...

1,093 views 0 8
Read article

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you